<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void
    {
        Schema::table('tenants', function (Blueprint $table) {
            $table->longText('gdpr_text')->nullable()->change();
            $table->longText('impress_text')->nullable()->change();
        });
    }

    public function down(): void
    {
        Schema::table('tenants', function (Blueprint $table) {
            $table->string('gdpr_text')->nullable()->change();
            $table->string('impress_text')->nullable()->change();
        });
    }
};
